| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Protocols
Protocols.DNS
Protocols.DNS.server

# Method Protocols.DNS.server()->reply_query()

Method reply_query

  `mapping reply_query(mapping query, mapping udp_data, function(mapping:void) cb)`

Description

  Reply to a query (stub).

Parameter `query`

  Parsed query.

Parameter `udp_data`

  Raw UDP data.

Parameter `cb`

  Callback you can call with the result instead of returning it. In that case, return `0` (zero).

  Overload this function to implement the proper lookup.

Returns

  Returns `0` (zero) on failure, or a result mapping on success:

  `"rcode" : int`

  Array

  `mapping(string:string|int) entry`

  `"name" : string|array(string)`
  `"type" : int`
  `"cl" : int`

  `"an" : array(mapping(string:string|int))|void`
  `"qd" : array|void` |
  `"ns" : array|void` |
  `"ar" : array|void` |